공개 APIAPI 레퍼런스Deployments
기존 배포를 재배포합니다
베타 API
/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.
POST
/v1/apps/{appId}/deployments/{deploymentId}/redeploytarget을 생략하면 원본 target을 사용합니다. applyComputeSettings를 true로 설정하면 콘솔의 Apply now처럼 저장된 App compute 설정을 적용하며, 설정된 필드는 기존 파일·CLI 플래그 값보다 우선합니다(port 제외). nitroship.json이나 CLI 플래그의 값은 매 배포 시 콘솔 설정을 덮어쓰지만, 콘솔 설정을 저장하고 Apply now로 다음 배포 전까지 적용할 수 있습니다. ntro redeploy 명령에 대응합니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.
인증
bearerAuth 인증Bearer <token>
로그인 또는 API 토큰 교환으로 받은 접속 토큰을 사용합니다. ntro_ API 토큰은 먼저 로그인 서버에서 접속 토큰으로 교환해야 합니다.
위치: header
경로 매개변수
appId*string
deploymentId*string
요청 본문
application/json
TypeScript 타입 정의
Use the request body type in TypeScript.
응답 본문
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps/string/deployments/string/redeploy" \ -H "Content-Type: application/json" \ -d '{}'{ "deployment": { "appId": "string", "createdAt": "string", "errorCode": "string", "fileCount": 0, "id": "string", "meta": true, "preview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "readyAt": "string", "redeployOf": "string", "shortId": "string", "status": "string", "target": "string", "totalBytes": 0, "url": "string", "urls": [ "string" ] }}